import { APIClient } from "./ApiClient";

export class OTAAPI {
  /**
   * Get the list of supported OTA platforms
   */
  static async SupportedPlatforms(): Promise<Array<string>> {
    return (
      await APIClient.exec({
        method: "GET",
        uri: "/ota/supported_platforms",
      })
    ).data;
  }

  /**
   * Upload new OTA firwmare
   */
  static async UploadFirmware(
    platform: string,
    version: string,
    firmware: File
  ): Promise<void> {
    const fd = new FormData();
    fd.append("firmware", firmware);

    await APIClient.exec({
      method: "POST",
      uri: `/ota/${platform}/${version}`,
      formData: fd,
    });
  }
}
